commit:     44f2a4aa558d946716def4039c164e4e0b81d5bf
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 19 05:59:19 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jul 19 06:07:06 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44f2a4aa

dev-ruby/thor: add 1.4.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/thor/Manifest          |  1 +
 dev-ruby/thor/thor-1.4.0.ebuild | 72 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-ruby/thor/Manifest b/dev-ruby/thor/Manifest
index dd13a1e4b669..036f8b763dd8 100644
--- a/dev-ruby/thor/Manifest
+++ b/dev-ruby/thor/Manifest
@@ -1 +1,2 @@
 DIST thor-git-1.3.2.tgz 103619 BLAKE2B 
31c23b549a79ec796d0de40c392d32a2621106ad44ffb0389358fbdb170b283867ab544c5f6bcfd437da0396a3193ff4b93100eee5c446c01760f07be73e2b79
 SHA512 
fb2aff3cf8c14f1a8b38db77579e4b27292f9578c7abf8fb892da888bee7e24412c4bdbf85ce9e43982348f72e038cacc856500268fc204e44fa61f3f9405c32
+DIST thor-git-1.4.0.tgz 102880 BLAKE2B 
94a8973f62d683be6c7089798be3ad3f3b90c2fe6aa391a28624f3672d83bb1b95865aa7c0719aec7f01481c5c0826ae94b92c146131f8f7c2f5227e1376fc1f
 SHA512 
6f1fe42212583be1fc963c852524795967a725eac65d27a8597b81d52ba22ea35ab0ea69e37df2a81c0280957444851be45861ba86f90cd0c794c0151ea84fd4

diff --git a/dev-ruby/thor/thor-1.4.0.ebuild b/dev-ruby/thor/thor-1.4.0.ebuild
new file mode 100644
index 000000000000..afab77eb22d9
--- /dev/null
+++ b/dev-ruby/thor/thor-1.4.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2000-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_BINWRAP="thor"
+
+RUBY_FAKEGEM_GEMSPEC="thor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple and efficient tool for building self-documenting command 
line utilities"
+HOMEPAGE="http://whatisthor.com/";
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> 
${PN}-git-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux"
+IUSE="doc"
+
+# For initial target porting (new rubies), we can make these test deps
+# conditional with:
+# 1. USE_RUBY="<old rubies>" ruby_add_bdepend ...
+# 2. skip logic in each_ruby_test
+USE_RUBY="ruby32 ruby33 ruby34" ruby_add_bdepend "
+       test? (
+               dev-ruby/childlabor
+               dev-ruby/webmock
+       )"
+
+all_ruby_prepare() {
+       # Remove rspec default options (as we might not have the last
+       # rspec).
+       rm .rspec || die
+
+       # Remove Bundler
+       #rm Gemfile || die
+       sed -i -e '/[Bb]undler/d' Thorfile || die
+
+       # Remove mandatory coverage collection using simplecov which is not
+       # packaged.
+       sed -i -e '/require "simplecov"/,/^end/ s:^:#:' spec/helper.rb || die
+
+       # Avoid a spec that requires UTF-8 support, so LANG=C still works,
+       # bug 430402
+       #sed -i -e '/uses maximum terminal width/,/end/ s:^:#:' 
spec/shell/basic_spec.rb || die
+
+       # Avoid specs depending on git, bug 724058
+       rm -f spec/quality_spec.rb || die
+
+       # Avoid currently broken readline specs (already fixed upstream)
+       rm -f spec/line_editor/readline_spec.rb spec/line_editor_spec.rb || die
+
+       # Avoid spec failing on whitespace difference in error message
+       sed -i -e '/raises an error for unknown switches/askip "whitespace 
differences"' spec/parser/options_spec.rb || die
+}
+
+each_ruby_test() {
+       case ${RUBY} in
+               *ruby35)
+                       einfo "Skipping tests due to circular dependencies"
+                       ;;
+               *)
+                       RSPEC_VERSION=3 ruby-ng_rspec spec || die
+                       ;;
+       esac
+}

Reply via email to